%global debug_package %{nil}
AutoReqProv: no

Name:           spotify-latest
Version:        1.2.60.564
Release:        1%{?dist}
Summary:        Spotify
License:        GPLv2
URL:            https://gitlab.com/kohnish/spotify
BuildRequires:  p7zip p7zip-plugins
Requires: curl libatomic libappindicator-gtk3
Source1: spotify.png
Source2: spotify.desktop

%description
spotify

%prep

%build
curl -L -o spotify.deb http://repository.spotify.com/pool/non-free/s/spotify-client/spotify-client_%{version}.gcc6305cb_amd64.deb
7z x -aoa spotify.deb

%install
tar --overwrite -zxf data.tar.gz -C%{buildroot}
mkdir -p %{buildroot}/usr/lib64
cd %{buildroot}/usr/lib64
touch libcurl.so.4
ln -sf libcurl.so.4 libcurl-gnutls.so.4
touch libappindicator3.so.1.0.0
ln -sf libappindicator3.so.1.0.0 libayatana-appindicator3.so.1
mkdir -p %{buildroot}/usr/share/applications
mkdir -p %{buildroot}/usr/share/icons
cp %{SOURCE1} %{buildroot}/usr/share/icons/
cp %{SOURCE2} %{buildroot}/usr/share/applications/

%files
%exclude /usr/lib64/libcurl.so.4
%exclude /usr/lib64/libappindicator3.so.1.0.0
/usr/lib64/libcurl-gnutls.so.4
/usr/lib64/libayatana-appindicator3.so.1
/usr/share/applications/spotify.desktop
/usr/share/icons/spotify.png
/usr/bin/spotify
/usr/share/spotify

%changelog
* Mon May 04 2020 kohnish gmx <kohnish@gmx.com> - 1.5.1-1
- Initial
